﻿using UnityEngine;
using System.Collections;


public class PlayerController : MonoBehaviour {

	private bool fight;
	private Animator _animator;            // Reference to the player's animator component.
	private Rigidbody2D _regidBody;
	[SerializeField] private float m_MaxSpeed = 0.50f;                    // The fastest the player can travel in the x axis.

	// Use this for initialization
	void Start () {
	
	}
	private void Awake()
	{
		// Setting up references.
 
		_animator = GetComponent<Animator>();
		_regidBody = GetComponent<Rigidbody2D>();
	}
	// Update is called once per frame
	void Update () {
		if (!fight)
		{
			// Read the jump input in Update so button presses aren't missed.
			fight = Input.GetButtonDown("Jump");

		}
	}
	private void FixedUpdate()
	{
		// Read the inputs.
		float h = Input.GetAxis("Horizontal");
		MovePlayer (h);
		ChangeAnimiation (h);

 	    fight = false;
	}
	private void MovePlayer(float h)
	{
	_regidBody.velocity = new Vector2 (h*m_MaxSpeed, _regidBody.velocity.y);
 	}
	private void ChangeAnimiation(float h){

		if (h < 0f) {
		  
			_animator.SetBool ("WalkingLeft", true);
			_animator.SetBool ("WalkRight", false);

		} else if (h > 0f) {
			_animator.SetBool ("WalkingLeft", false);
			_animator.SetBool ("WalkRight", true);
		} else {
			_animator.SetBool ("WalkingLeft", false);
			_animator.SetBool ("WalkRight", false);
		}
		_animator.SetBool ("Fight", fight);

	}

}
